aboutsummaryrefslogtreecommitdiffstats
path: root/testing/perl-cgi-emulate-psgi/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2011-06-02 11:36:53 +0300
committerTimo Teräs <timo.teras@iki.fi>2011-06-02 11:48:26 +0300
commit34a96a032e6a2f69072d4741ce8cbb76e923095c (patch)
treec6c5d10e59863af89f31d4bcfbdb53f6925731b4 /testing/perl-cgi-emulate-psgi/APKBUILD
parent6f2ceb5df28f9bafcab200b9615c54909125292f (diff)
downloadaports-34a96a032e6a2f69072d4741ce8cbb76e923095c.tar.gz
aports-34a96a032e6a2f69072d4741ce8cbb76e923095c.tar.bz2
aports-34a96a032e6a2f69072d4741ce8cbb76e923095c.tar.xz
testing/perl-cgi-emulate-psgi: new apkbuild-cpan generated aport
PSGI adapter for CGI http://search.cpan.org/dist/CGI-Emulate-PSGI/
Diffstat (limited to 'testing/perl-cgi-emulate-psgi/APKBUILD')
-rw-r--r--testing/perl-cgi-emulate-psgi/APKBUILD37
1 files changed, 37 insertions, 0 deletions
diff --git a/testing/perl-cgi-emulate-psgi/APKBUILD b/testing/perl-cgi-emulate-psgi/APKBUILD
new file mode 100644
index 0000000000..db6e7f212e
--- /dev/null
+++ b/testing/perl-cgi-emulate-psgi/APKBUILD
@@ -0,0 +1,37 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Timo Teräs <timo.teras@iki.fi>
+# Maintainer: Timo Teräs <timo.teras@iki.fi>
+pkgname=perl-cgi-emulate-psgi
+_pkgreal=CGI-Emulate-PSGI
+pkgver=0.11
+pkgrel=0
+pkgdesc="PSGI adapter for CGI"
+url="http://search.cpan.org/dist/CGI-Emulate-PSGI/"
+arch="noarch"
+license="GPL PerlArtistic"
+cpandepends="perl-http-message"
+cpanmakedepends=""
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MI/MIYAGAWA/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+ cd "$_builddir"
+ PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+ cd "$_builddir"
+ make && make test
+}
+
+package() {
+ cd "$_builddir"
+ make DESTDIR="$pkgdir" install || return 1
+ find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="da915245e3a7b4c70c3935bf688b31b1 CGI-Emulate-PSGI-0.11.tar.gz"